Authorize
POST
/connect/authorizeAuthorization
bearer AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
client*string
Value in
- "chrome-extension"
- "raycast"
redirectUri*string
codeChallenge*string
codeChallengeMethod*"S256"
Value in
- "S256"
scopes*array<>
label*string
deviceHint?string|null
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/connect/authorize" \ -H "Content-Type: application/json" \ -d '{ "client": "chrome-extension", "redirectUri": "string", "codeChallenge": "string", "codeChallengeMethod": "S256", "scopes": [ "saved-items:capture" ], "label": "string" }'{ "code": "string"}{ "_tag": "ConnectError", "code": "unknown_client", "message": "string"}{ "_tag": "Unauthorized", "message": "string"}{ "_tag": "RateLimitExceeded", "message": "string"}